Skip to main content
GET
Retrieve the wallet

Authorizations

Authorization
string
header
required

Your fleet API key, e.g. Authorization: Bearer cxk_live_…. Create keys in the fleet portal under Developers.

Response

Success

object
enum<string>
required
Available options:
wallet
id
string
required
balance_kwh
string
required

Prepaid kWh

Example:

"12.5000"

reserved_kwh
string
required

Held by sessions in progress

Example:

"12.5000"

available_kwh
string
required

Prepaid kWh not held

Example:

"12.5000"

debt_kwh
string
required

kWh charged on credit and not yet repaid

Example:

"12.5000"

debt
string
required

Outstanding credit, GHS

Example:

"125.50"

credit_limit
string
required

GHS

Example:

"125.50"

credit_available
string
required

GHS

Example:

"125.50"

currency
enum<string>
required
Available options:
GHS
updated_at
string<date-time> | null
required
unit_price
string | null
required
max_charging_kwh
string | null
required